Debian Bug report logs - #411252
netspeed: floods console with pci_set_power_state() messages

version graph

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Filippo Giunchedi <filippo@debian.org>

Date: Sat, 17 Feb 2007 13:57:01 UTC

Severity: normal

Fixed in version 2.6.21-1

Done: Moritz Muehlenhoff <jmm@inutil.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Sebastien Bacher <seb128@debian.org>:
Bug#411252; Package netspeed. Full text and rfc822 format available.

Acknowledgement sent to godog <filippo@esaurito.net>:
New Bug report received and forwarded. Copy sent to Sebastien Bacher <seb128@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: godog <filippo@esaurito.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: netspeed: floods console with pci_set_power_state() messages
Date: Sat, 17 Feb 2007 14:38:28 +0100
Package: netspeed
Version: 0.13-1+b1
Severity: normal

Hi,
whenever I start netspeed-applet the kernel starts printing

pci_set_power_state(): 0000:00:0d.0: state=3, current state=5

this has been reported also in
http://lists.debian.org/debian-user/2006/11/msg00346.html

and I'm filing the bug, note that also the newer upstream version (0.14)
suffers from the same problem (unless I missed something).

thanks,
filippo

-- System Information:
Debian Release: 4.0
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.18-4-k7
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)

Versions of packages netspeed depends on:
ii  libart-2.0-2               2.3.17-1      Library of functions for 2D graphi
ii  libatk1.0-0                1.12.4-2      The ATK accessibility toolkit
ii  libbonobo2-0               2.14.0-3      Bonobo CORBA interfaces library
ii  libbonoboui2-0             2.14.0-5      The Bonobo UI library
ii  libc6                      2.3.6.ds1-12  GNU C Library: Shared libraries
ii  libcairo2                  1.2.4-4       The Cairo 2D vector graphics libra
ii  libfontconfig1             2.4.2-1       generic font configuration library
ii  libgconf2-4                2.16.0-3      GNOME configuration database syste
ii  libglib2.0-0               2.12.6-2      The GLib library of C routines
ii  libgnome-keyring0          0.6.0-3       GNOME keyring services library
ii  libgnome2-0                2.16.0-2      The GNOME 2 library - runtime file
ii  libgnomecanvas2-0          2.14.0-2      A powerful object-oriented display
ii  libgnomeui-0               2.14.1-2      The GNOME 2 libraries (User Interf
ii  libgnomevfs2-0             1:2.14.2-6    GNOME virtual file-system (runtime
ii  libgtk2.0-0                2.8.20-5      The GTK+ graphical user interface 
ii  libgtop2-7                 2.14.4-3      gtop system monitoring library
ii  libice6                    1:1.0.1-2     X11 Inter-Client Exchange library
ii  liborbit2                  1:2.14.4-1    libraries for ORBit2 - a CORBA ORB
ii  libpanel-applet2-0         2.14.3-4      library for GNOME 2 panel applets
ii  libpango1.0-0              1.14.8-5      Layout and rendering of internatio
ii  libpopt0                   1.10-3        lib for parsing cmdline parameters
ii  libsm6                     1:1.0.1-3     X11 Session Management library
ii  libx11-6                   2:1.0.3-5     X11 client-side library
ii  libxcursor1                1.1.7-4       X cursor management library
ii  libxext6                   1:1.0.1-2     X11 miscellaneous extension librar
ii  libxfixes3                 1:4.0.1-5     X11 miscellaneous 'fixes' extensio
ii  libxi6                     1:1.0.1-4     X11 Input extension library
ii  libxinerama1               1:1.0.1-4.1   X11 Xinerama extension library
ii  libxml2                    2.6.27.dfsg-1 GNOME XML library
ii  libxrandr2                 2:1.1.0.2-5   X11 RandR extension library
ii  libxrender1                1:0.9.1-3     X Rendering Extension client libra

netspeed recommends no packages.

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Sebastien Bacher <seb128@debian.org>:
Bug#411252; Package netspeed. Full text and rfc822 format available.

Acknowledgement sent to Filippo Giunchedi <filippo@debian.org>:
Extra info received and forwarded to list. Copy sent to Sebastien Bacher <seb128@debian.org>. Full text and rfc822 format available.

Message #10 received at 411252@bugs.debian.org (full text, mbox):

From: Filippo Giunchedi <filippo@debian.org>
To: 411252@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#411252: Acknowledgement (netspeed: floods console with pci_set_power_state() messages)
Date: Sun, 18 Feb 2007 15:42:20 +0100
submitter !
thanks

this happens activating the network monitor in the gnome system monitor so it
might be not related to netspeed..

thanks,
filippo
--
Filippo Giunchedi - http://esaurito.net
PGP key: 0x6B79D401
random quote follows:

I never forget a face, but in your case I'll be glad to make an exception.
-- Groucho Marx



Changed Bug submitter from godog <filippo@esaurito.net> to Filippo Giunchedi <filippo@debian.org>. Request was from Filippo Giunchedi <filippo@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Sebastien Bacher <seb128@debian.org>:
Bug#411252; Package netspeed. Full text and rfc822 format available.

Acknowledgement sent to Sven Arvidsson <sa@whiz.se>:
Extra info received and forwarded to list. Copy sent to Sebastien Bacher <seb128@debian.org>. Full text and rfc822 format available.

Message #17 received at 411252@bugs.debian.org (full text, mbox):

From: Sven Arvidsson <sa@whiz.se>
To: 411252@bugs.debian.org, 411252-submitter@bugs.debian.org
Cc: control@bugs.debian.org, linux-2.6@packages.debian.org
Subject: Re: Bug#411252: netspeed: floods console with pci_set_power_state() messages
Date: Tue, 27 Feb 2007 19:00:38 +0100
[Message part 1 (text/plain, inline)]
reassign 411252 linux-2.6
thanks

On Sat, 2007-02-17 at 14:38 +0100, godog wrote:
> whenever I start netspeed-applet the kernel starts printing
> 
> pci_set_power_state(): 0000:00:0d.0: state=3, current state=5
> 
> this has been reported also in
> http://lists.debian.org/debian-user/2006/11/msg00346.html
> 
> and I'm filing the bug, note that also the newer upstream version (0.14)
> suffers from the same problem (unless I missed something).

This looks like a kernel bug, see for example 
https://launchpad.net/ubuntu/+source/linux-source-2.6.17/+bug/66963

There is a patch in the Novell Bugzilla, looks like they are pushing it
upstream.
https://bugzilla.novell.com/show_bug.cgi?id=227391


-- 
Cheers,
Sven Arvidsson
http://www.whiz.se
PGP Key ID 760BDD22
[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package `netspeed' to `linux-2.6'. Request was from Sven Arvidsson <sa@whiz.se> to control@bugs.debian.org. Full text and rfc822 format available.

Message sent on to Filippo Giunchedi <filippo@debian.org>:
Bug#411252. Full text and rfc822 format available.

Reply sent to Moritz Muehlenhoff <jmm@inutil.org>:
You have taken responsibility. (Tue, 11 Nov 2008 00:03:09 GMT) Full text and rfc822 format available.

Notification sent to Filippo Giunchedi <filippo@debian.org>:
Bug acknowledged by developer. (Tue, 11 Nov 2008 00:03:10 GMT) Full text and rfc822 format available.

Message #27 received at 411252-done@bugs.debian.org (full text, mbox):

From: Moritz Muehlenhoff <jmm@inutil.org>
To: Sven Arvidsson <sa@whiz.se>
Cc: 411252-done@bugs.debian.org, 411252-submitter@bugs.debian.org
Subject: Re: Bug#411252: netspeed: floods console with pci_set_power_state() messages
Date: Tue, 11 Nov 2008 01:00:47 +0100
Version: 2.6.21-1

Sven Arvidsson wrote:
> There is a patch in the Novell Bugzilla, looks like they are pushing it
> upstream.
> https://bugzilla.novell.com/show_bug.cgi?id=227391

This issue was fixed in commit e36c455c2f5fee08fed395e94c7ab156cd159360
Marking 2.6.21 as fixed version.

Cheers,
        Moritz




Message sent on to Filippo Giunchedi <filippo@debian.org>:
Bug#411252. (Tue, 11 Nov 2008 00:03:11 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 09 Dec 2008 07:27:55 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 16:55:56 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.